Bug 630264 - Review Request: ghc-bytestring-trie - An efficient finite map from (byte)strings to values
Review Request: ghc-bytestring-trie - An efficient finite map from (byte)stri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-JSONb
  Show dependency treegraph
 
Reported: 2010-09-04 10:04 EDT by Ben Boeckel
Modified: 2010-11-22 17:26 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-bytestring-trie-0.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 17:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 10:04:45 EDT
Spec URL: http://benboeckel.net/packaging/ghc-bytestring-trie/ghc-bytestring-trie.spec
SRPM URL: http://benboeckel.net/packaging/ghc-bytestring-trie/ghc-bytestring-trie-0.2.2-1.fc14.src.rpm
Description:
The implementation is based on big-endian patricia trees,
like "Data.IntMap". We first trie on the elements of
"Data.ByteString" and then trie on the big-endian bit
representation of those elements. Patricia trees have
efficient algorithms for union and other merging operations,
but they're also quick for lookups and insertions.

% lintmock fedora-14-x86_64-bb
ghc-bytestring-trie.src: W: spelling-error %description -l en_US endian -> Indian, ending, endive
ghc-bytestring-trie.src: W: spelling-error %description -l en_US patricia -> Patricia, patrician
ghc-bytestring-trie.src: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-map
ghc-bytestring-trie.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
ghc-bytestring-trie.src: W: strange-permission ghc-bytestring-trie.spec 0640L
ghc-bytestring-trie.src: W: strange-permission bytestring-trie-0.2.2.tar.gz 0640L
ghc-bytestring-trie.x86_64: W: spelling-error %description -l en_US endian -> Indian, ending, endive
ghc-bytestring-trie.x86_64: W: spelling-error %description -l en_US patricia -> Patricia, patrician
ghc-bytestring-trie.x86_64: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-ma
p
ghc-bytestring-trie.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, look 
ups
ghc-bytestring-trie-devel.x86_64: W: spelling-error %description -l en_US endian -> Indian, ending, en
dive
ghc-bytestring-trie-devel.x86_64: W: spelling-error %description -l en_US patricia -> Patricia, patric
ian
ghc-bytestring-trie-devel.x86_64: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, 
Int-map
ghc-bytestring-trie-devel.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups,
 look ups
ghc-bytestring-trie-prof.x86_64: E: devel-dependency ghc-bytestring-trie-devel
ghc-bytestring-trie-prof.x86_64: W: spelling-error %description -l en_US endian -> Indian, ending, end
ive
ghc-bytestring-trie-prof.x86_64: W: spelling-error %description -l en_US patricia -> Patricia, patrici
an
ghc-bytestring-trie-prof.x86_64: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, I
nt-map
ghc-bytestring-trie-prof.x86_64: W: spelling-error %description -l en_US lookups -> lockups, hookups, 
look ups
ghc-bytestring-trie-prof.x86_64: W: no-documentation
ghc-bytestring-trie-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/bytestring-t
rie-0.2.2/libHSbytestring-trie-0.2.2_p.a
4 packages and 0 specfiles checked; 1 errors, 20 warnings.
Comment 1 Narasimhan 2010-11-06 12:38:56 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

ghc-bytestring-trie.i686: W: spelling-error %description -l en_US endian -> Indian, ending, endive
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.i686: W: spelling-error %description -l en_US patricia -> Patricia, patrician
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.i686: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-map
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.i686: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.src: W: spelling-error %description -l en_US endian -> Indian, ending, endive
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.src: W: spelling-error %description -l en_US patricia -> Patricia, patrician
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.src: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-map
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie.src: W: strange-permission ghc-bytestring-trie.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-bytestring-trie.src: W: strange-permission bytestring-trie-0.2.2.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-bytestring-trie-devel.i686: W: spelling-error %description -l en_US endian -> Indian, ending, endive
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-devel.i686: W: spelling-error %description -l en_US patricia -> Patricia, patrician
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-devel.i686: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-map
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-devel.i686: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-prof.i686: E: devel-dependency ghc-bytestring-trie-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-bytestring-trie-prof.i686: W: spelling-error %description -l en_US endian -> Indian, ending, endive
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-prof.i686: W: spelling-error %description -l en_US patricia -> Patricia, patrician
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-prof.i686: W: spelling-error %description -l en_US IntMap -> Int Map, Int-Map, Int-map
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-prof.i686: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
The value of this tag appears to be misspelled. Please double-check.

ghc-bytestring-trie-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-bytestring-trie-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/bytestring-trie-0.2.2/libHSbytestring-trie-0.2.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 20 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of 
the license(s) for the package must be included in %doc.
Yes. License included in base package

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
[~]$ md5sum Downloads/bytestring-trie-0.2.2.tar.gz 
87055596ec7c40270e3366f4ab5a0e55  Downloads/bytestring-trie-0.2.2.tar.gz

[~]md5sum bytestring-trie-0.2.2.tar.gz 
87055596ec7c40270e3366f4ab5a0e55  bytestring-trie-0.2.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on f14-i686

[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.

[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation is in -devel package

[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
Checked the file permissions.

[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Compiled a small program that imports from that module.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Ben Boeckel 2010-11-06 13:10:31 EDT
Thanks.

New Package CVS Request
=======================
Package Name: ghc-bytestring-trie
Short Description: An efficient finite map from (byte)strings to values
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 3 Jason Tibbitts 2010-11-07 10:42:51 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2010-11-13 12:03:14 EST
ghc-bytestring-trie-0.2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-bytestring-trie-0.2.2-1.fc13
Comment 5 Fedora Update System 2010-11-13 12:03:21 EST
ghc-bytestring-trie-0.2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-bytestring-trie-0.2.2-1.fc14
Comment 6 Fedora Update System 2010-11-14 16:30:19 EST
ghc-bytestring-trie-0.2.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-bytestring-trie'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-bytestring-trie-0.2.2-1.fc14
Comment 7 Fedora Update System 2010-11-22 17:18:33 EST
ghc-bytestring-trie-0.2.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-11-22 17:26:40 EST
ghc-bytestring-trie-0.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.